%define module   rtl88x2bu
%define versionfull 5.8.7.1_35809.20191129_COEX20191120-7777
%define short_version 5.8.7.1_35809.20191129_COEX20191120

Name:            dkms-%{module}
Version:         %{short_version}
Release:         %mkrel 1

Summary:         dkms package for %{module} driver
License:         GPLv2
Group:           System/Kernel and hardware
Source0:         https://github.com/cilynx/rtl88x2bu/archive/refs/heads/%{versionfull}.zip
Source2:         dkms.conf
URL:             https://github.com/cilynx/rtl88x2bu

BuildRequires : make
BuildRequires : gcc
Requires: rtlwifi-firmware
Requires: dkms


%description
Provides Realtek Driver for Realtek 88x2bu
Blacklist rtw88 module to avoid conflicts 

%prep
%setup -q -n %{module}-%{versionfull}

%install
mkdir -p %{buildroot}/%{_usrsrc}/%{module}-%{version}-%{release}/
cp -R * %{buildroot}/%{_usrsrc}/%{module}-%{version}-%{release}/

install -m644 %{SOURCE2} -D %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/dkms.conf
mkdir -p %{buildroot}/%{_sysconfdir}/modprobe.d
echo "blacklist rtw88_core" > %{buildroot}/%{_sysconfdir}/modprobe.d/blacklist-rtw88.conf
echo "blacklist rtw89_pci" >> %{buildroot}/%{_sysconfdir}/modprobe.d/blacklist-rtw88.conf

%files
%{_sysconfdir}/modprobe.d/blacklist-rtw88.conf
%{_usrsrc}/%{module}-%{version}-%{release}/*


%post -n dkms-%{module}
%{_sbindir}/dkms add -m %{module} -v %{version}-%{release} --rpm_safe_upgrade
%{_sbindir}/dkms build -m %{module} -v %{version}-%{release} --rpm_safe_upgrade
%{_sbindir}/dkms install -m %{module} -v %{version}-%{release} --rpm_safe_upgrade
exit 0

%preun -n dkms-%{module}
%{_sbindir}/dkms remove -m %{module} -v %{version}-%{release} --rpm_safe_upgrade --all
exit 0
